<script setup lang="ts">
import { useAddressStore } from '@/stores/addressBookStore';

const addressBookStore = useAddressStore()
</script>

<template>
    <div v-if="addressBookStore.isAddNew">
        <div>
          <label for="name">name:</label>
          <input id="name" type="text" v-model="addressBookStore.address.name" />
        </div>
        <div>
          <label for="gender">gender:</label>
          <select id="gender" v-model="addressBookStore.address.gender">
            <option value="Male">Male</option>
            <option value="Female">Female</option>
            <option value="Other">Other</option>
          </select>
        </div>
        <div>
          <label for="tel">tel:</label>
          <input id="tel" type="text" v-model="addressBookStore.address.tel" />
        </div>
      <button >Clear</button><button @click="addressBookStore.save">Save</button>
      <div>
        <pre>{{ addressBookStore.address }}</pre>
      </div>
    </div>
</template>

<style scoped>
input,
select,
lable,
button {
  font-family: 'Kanit';
  font-size: 20pt;
  margin: 5px;
}
</style>